# GetHeaderValue(string,string)

Method in [Dialogue](/3.1/api/csharp/yarn/yarn.dialogue.md)

## Summary

Gets the value of the header named `headerName` on the node named `nodeName` , or `null` if the header can't be found.

```csharp
public string? GetHeaderValue(string nodeName, string headerName)
```

## Remarks

If the node has more than one header named `headerName` , the first one is used.

## Parameters

| Name                | Description             |
| ------------------- | ----------------------- |
| `string` nodeName   | The name of the node.   |
| `string` headerName | The name of the header. |

## Returns

The value of the first header on the node with the specified header value.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/3.1/api/csharp/yarn/yarn.dialogue/yarn.dialogue.getheadervalue.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
